# class SpeechSynthesisVoice

#### package js.html

Available on HTML5

The `SpeechSynthesisVoice` interface of the Web Speech API represents a voice that the system supports. Every `SpeechSynthesisVoice` has its own relative speech service including information about language, name and URI.

Documentation SpeechSynthesisVoice by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/SpeechSynthesisVoice

### Variables

###

`read onlydefault_:Bool`

###

`read onlylang:String`

Returns a BCP 47 language tag indicating the language of the voice.

###

`read onlylocalService:Bool`

A `Boolean` indicating whether the voice is supplied by a local speech synthesizer service (`true`), or a remote speech synthesizer service (`false`.)

###

`read onlyname:String`

Returns a human-readable name that represents the voice.

###

`read onlyvoiceURI:String`

Returns the type of URI and location of the speech synthesis service for this voice.